Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class Skill

    java.lang.Object
      com.huguesjohnson.tiamat.NamedObject
          com.huguesjohnson.tiamat.Skill

All Implemented Interfaces:
  Storable

public class Skill
extends NamedObject

Skill - represents a skill for a character, modifies an item

Author:
  Hugues Johnson

Constructor Summary
`Skill(java.lang.String name, java.lang.String description)`
`Skill(java.lang.String name, java.lang.String description, Target[] targets)`

Method Summary
`void` | `addTarget(Target target)` adds a Target to the collection of Targets
`Target` | `getTarget(int index)`
`int` | `getTargetCount()` returns the number of targets for this item
`Target[]` | `getTargets()`
`void` | `setTarget(int index, Target target)`
`void` | `setTargets(Target[] targets)`
`java.lang.String` | `toString()` returns a string representation of the object

Methods inherited from class com.huguesjohnson.tiamat.NamedObject
`getDescription, getName, onDeserialize, setDescription, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Skill

    public Skill(java.lang.String name,
                 java.lang.String description)

### Skill

    public Skill(java.lang.String name,
                 java.lang.String description,
                 Target[] targets)

Method Detail

### setTargets

    public void setTargets(Target[] targets)

### getTargets

    public Target[] getTargets()

### setTarget

    public void setTarget(int index,
                          Target target)

### getTarget

    public Target getTarget(int index)

### toString

    public java.lang.String toString()

  returns a string representation of the object

  Overrides:
    `toString` in class `NamedObject`

### getTargetCount

    public int getTargetCount()

  returns the number of targets for this item

### addTarget

    public void addTarget(Target target)

  adds a Target to the collection of Targets

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD